/* Global */
:root{
    --mainColor: #0049B1;
    --mainColor-light: #4997fc;
    --secondaryColor: #050631;
    --whiteColor: #FFFFFF;
    --mutedColor: #808080;
}

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    width: 100%;
    height: 100vh;
    font-family: 'Manrope', sans-serif;
}

a{
    color: unset;
    text-decoration: none;
}

/* Card */
.card-cst{
    border: none;
    border-radius: 12px;
    box-shadow: 3px 3px 15px #64646421;
    margin-bottom: 24px;
}

.card-cst .card-header{
    background: var(--whiteColor);
    border-radius: 12px 12px 0 0;
}

.card-1{
    position: relative;
    overflow: visible;
}

.card-1 .card-header{
    position: absolute;
    top: -24%;
    left: 20px;
    border-radius: 12px;
    box-shadow: 3px 3px 10px #64646421;
}

.card-1 .card-body{
    padding-top: 32px;
}

.card-1 .card-header .card-title{
    margin-bottom: 0;
    font-size: 20px;
}

.card-1 .card-header.bg-primary,
.card-1 .card-header.bg-primary-light,
.card-1 .card-header.bg-secondary{
    color: var(--whiteColor);
}

.card-2 .card-body{
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.card-1 .card-body .row [class^="col-"]:not(:last-child){
    border-right: 1px solid #616161;
}

.icon-box{
    border-radius: 12px;
    display: flex;
    width: 40px;
    height: 40px;
    align-items: center;
    justify-content: center;
}

.icon-box.bg-primary,
.icon-box.bg-primary-light,
.icon-box.bg-secondary {
    color: var(--whiteColor);
}

/* Data Table */
div.dataTables_wrapper div.dataTables_info,
div.dataTables_wrapper div.dataTables_paginate ul.pagination{
    margin: 24px 0;
    padding: 0;
}

div.dataTables_wrapper div.dataTables_paginate ul.pagination .paginate_button.active .page-link{
    background: var(--mainColor);
}

.dataTables_scrollHeadInner{
    width: 100% !important;
}

div.dataTables_scrollHead table.table-bordered{
    width: 100% !important;
}

/* Button */
.btn{
    border: none;
    transition: .4s;
}

.btn-primary{
    background: var(--mainColor);
}

.btn-secondary{
    background: var(--secondaryColor);
}

.btn-secondary:hover{
    background: #0c0d4e;
}

.btn-outline-primary{
    border: 1px solid var(--mainColor);
    color: var(--mainColor);
}

.btn-outline-primary:hover{
    background: var(--mainColor);
    color: var(--whiteColor);
}

.btn-outline-secondary{
    border: 1px solid var(--secondaryColor);
    color: var(--secondaryColor);
}

.btn-outline-secondary:hover{
    background: var(--secondaryColor);
    color: var(--whiteColor);
}

/* Background */
.bg-primary{
    background-color: var(--mainColor) !important;
}

.bg-primary-light{
    background: var(--mainColor-light);
}

.bg-secondary{
    background: var(--secondaryColor);
}

/* Text Color */
.text-primary{
    color: var(--mainColor) !important;
}

/* Main */
.content-wrapper{
    width: 100%;
    /* height: 100%; */
    position: relative;
}

/* Sidebar */
.sidebar-wrapper{
    display: flex;
    width: 230px;
    height: 100vh;
    flex-direction: column;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 10;
    background: var(--whiteColor);
    box-shadow: 3px 0 7px #52525238;
    transition: .4s;
}

.btn_close{
    color: var(--whiteColor);
    right: 5px;
    top: 5px;
    width: 26px;
    height: 26px;
    border-radius: 50%;
    background: var(--mainColor-light);
    position: absolute;
    border: none;
    outline: none;
}

.sidebar-wrapper *{
    transition: .4s;
}

.sidebar-wrapper .sidebar-brand{
    padding: 32px 16px;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    gap: 12px;
    border-bottom: 1px solid #ddd;
    background: var(--mainColor);
    /* transition: .4s; */
}

.sidebar-wrapper .sidebar-brand .brand-name{
    font-weight: 500;
    font-size: 18px;
    display: block;
    font-weight: 600;
    background: var(--whiteColor);
    padding: 4px 14px;
    border-radius: 50px;
    /* transition: .4s; */
}

.sidebar-wrapper .sidebar{
    margin-top: 24px;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow: auto;
}

.sidebar-wrapper .sidebar::-webkit-scrollbar{
    background: var(--whiteColor);
    width: 3px;
}

.sidebar-wrapper .sidebar::-webkit-scrollbar-thumb{
    background: var(--mainColor-light);
    width: 3px;
}

.sidebar-wrapper .sidebar .sidebar-item{
    width: 100%;
    /* transition: .4s; */
    list-style: none;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 16px;
    padding: 0;
}

.sidebar-wrapper .sidebar .sidebar-item li{
    display: block;
    padding: 0 16px;
    position: relative;
}

.sidebar-wrapper .sidebar .sidebar-item li .sidebar-link::after{
    content: '';
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    display: none;
    width: 3px;
    transition: .4s;
    border-radius: 0 4px 4px 0;
    height: 60%;
    background: var(--mainColor);
    z-index: -1;
}

.sidebar-wrapper .sidebar .sidebar-item li .sidebar-link.active::after{
    transition: .4s;
    display: block;
}

.sidebar-wrapper .sidebar .sidebar-item li .sidebar-link{
    display: flex;
    align-items: center;
    padding: 12px;
    color: var(--mutedColor);
    gap: 16px;
    font-weight: 600;
    border-radius: 12px;
    font-size: 15px;
}

.sidebar-wrapper .sidebar .sidebar-item li .sidebar-link .arrow{
    transition: .4s;
}

.sidebar-wrapper .sidebar .sidebar-item li .sidebar-link:hover,
.sidebar-wrapper .sidebar .sidebar-item li .sidebar-link.active{
    background: var(--mainColor);
    color: var(--whiteColor);
}

.sidebar-wrapper .sidebar .sidebar-item li.showMenu{
    height: 100%;
}

.sidebar-wrapper .sidebar .sidebar-item li.showMenu .sidebar-link{
    border-radius: 12px 12px 0 0;
    background: var(--mainColor);
    color: var(--whiteColor);
}

.sidebar-wrapper .sidebar .sidebar-item li.showMenu .sidebar-link .arrow{
    transform: rotate(180deg);
    transition: .4s;
}

.sidebar-wrapper .sidebar .sidebar-item li.showMenu .sub-menu{
    opacity: 1;
    transform: translateY(0);
    transition: .4s;
    pointer-events: auto;
    display: flex;
    background: var(--mainColor);
    border-radius: 0 0 12px 12px;
}

.sidebar-wrapper .sidebar .sidebar-item li.showMenu .sub-menu li .sub-link:hover{
    font-weight: 600;
}

.sidebar-wrapper .sidebar .sidebar-item li .sub-menu{
    display: none;
    opacity: 0;
    transform: translateY(-30%);
    transition: .4s;
    flex-direction: column;
    pointer-events: none;
}

.sidebar-wrapper .sidebar .sidebar-item li .sub-menu li{
    padding: 0;
    display: block;
}

.sidebar-wrapper .sidebar .sidebar-item li .sub-menu li .sub-link{
    color: var(--whiteColor);
    padding: 6px 12px;
    display: block;
    width: 100%;
    font-size: 14px;
    transition: .4s;
}

.sidebar-wrapper.collapsed{
    transition: .4s;
    transform: translateX(-150px);
    overflow: visible;
}

.sidebar-wrapper.collapsed *{
    transition: .4s;
}

.sidebar-wrapper.collapsed .sidebar-brand{
    padding-right: 13px;
}

.sidebar-wrapper.collapsed .sidebar-brand .brand-logo{
    margin-left: auto;
    transition: .4s;
}

.sidebar-wrapper.collapsed .sidebar-brand .brand-name{
    display: none;
    margin-left: auto;
}

.sidebar-wrapper.collapsed .sidebar{
    width: 80px;
    margin-left: auto;
    overflow: visible;
}

.sidebar-wrapper.collapsed .sidebar .sidebar-item{
    overflow: visible;
}

.sidebar-wrapper.collapsed .sidebar .sidebar-item li .sidebar-link{
    gap: 0;
    justify-content: center;
    align-items: center;
    min-height: 47px;
}

.sidebar-wrapper.collapsed .sidebar .sidebar-item li .sidebar-link:hover{
    justify-content: start;
    min-width: 188px;
    gap: 12px;
    transition: .4s;
    box-shadow: 3px 3px 7px #63636344;

}

.sidebar-wrapper.collapsed .sidebar .sidebar-item li .sidebar-link:hover i{
    margin-left: 4px;
}

.sidebar-wrapper.collapsed .sidebar .sidebar-item li .sidebar-link:hover .arrow,
.sidebar-wrapper.collapsed .sidebar .sidebar-item li .sidebar-link:hover span{
    display: block;
}

.sidebar-wrapper.collapsed .sidebar .sidebar-item li .sidebar-link .arrow,
.sidebar-wrapper.collapsed .sidebar .sidebar-item li .sidebar-link span{
    display: none;
    transition: .4s;
}

.sidebar-wrapper.collapsed .sidebar .sidebar-item li.showMenu .sidebar-link ~ .sub-menu{
    min-width: 180px;
    background: var(--mainColor);
}

.sidebar-wrapper.collapsed .sidebar .sidebar-item li.showMenu{
    min-width: 220px;
}
.sidebar-wrapper.collapsed .sidebar .sidebar-item li.showMenu .sidebar-link{
    justify-content: start;
    gap: 12px;
    background: var(--mainColor);
    color: var(--whiteColor);
}

.sidebar-wrapper.collapsed .sidebar .sidebar-item li.showMenu .sidebar-link span,
.sidebar-wrapper.collapsed .sidebar .sidebar-item li.showMenu .sidebar-link .arrow{
    display: block;
}
/* Sidebar End */

/* Navbar */
.navbar{
    width: calc(100% - 330px);
    margin-left: 280px;
    margin-right: 50px;
    transition: .4s;
    position: fixed;
    /* top: 24px; */
    border-radius: 12px;
    box-shadow: 3px 3px 15px #64646421;
    z-index: 9;
}

.navbar.sticky{
    top: 0;
}

.dropdown-menu{
    border: none;
    box-shadow: 3px 3px 8px #6161612a;
}

.dropdown-menu-left{
    right: -50% !important;
    left: 0 !important;
}

.dropdown-menu-right{
    left: -100% !important;
    right: 0 !important;
}

.dropdown-menu .dropdown-item{
    font-size: 14px;
    transition: .4s;
}

.dropdown-menu .dropdown-item:hover{
    transition: .4s;
    background: #4997fc;
    color: var(--whiteColor);
}

.dropdown-menu .dropdown-item.logout:hover{
    background: #ffe7e9;
}

.sidebar-wrapper.collapsed ~ .navbar{
    width: calc(100% - 180px);
    margin-left: 130px;
    margin-right: 50px;
}

.btn-sidebar{
    border: 0;
    outline: 0;
    background: transparent;
}
/* Navbar End */

/* Main Content */
.main-wrapper{
    width: 100%;
    padding-left: 280px;
    padding-right: 50px;
    padding-top: calc(67px + 24px);
    transition: .4s;
    background: #f1f7ff;
    padding-bottom: 32px;
}

.main-wrapper *{
    transition: .4s;
}

.main-content{
    width: 100%;
    height: 100%;
}

.title-content{
    background: var(--mainColor);
    border-radius: 0 0 12px 12px;
    padding: 12px 24px;
}

.title-content .title{
    /* padding: 12px 24px; */
    font-size: 22px;
    position: relative;
}

.breadcrumb-item+.breadcrumb-item::before{
    color: var(--whiteColor);
}

.breadcrumb-item a{
    color: var(--whiteColor);
}

.breadcrumb-item.active{
    color: var(--whiteColor);
    font-weight: 700;
}

.section{
    margin: 32px 0;
}

.sidebar-wrapper.collapsed ~ .main-wrapper{
    padding-left: 130px;
    transition: .4s;
}

.sidebar-wrapper.collapsed ~ .main-wrapper *{
    transition: .4s;
}
/* Main Content End */

/* Footer */
.footer{
    position: absolute;
    bottom: 0;
    right: 0;
    width: 100%;
    padding-left: 242px;
    padding-top: 12px;
    padding-right: 12px;
    padding-bottom: 12px;
    background: #ddecff;
    transition: .4s;
}

.footer * {
    color: var(--mutedColor);
    font-size: 13px;
}

.sidebar-wrapper.collapsed ~ .footer{
    padding-left: 92px;
    transition: .4s;
}

/* Responsive */
@media (max-width:991px){
    .sidebar-wrapper{
        transform: translateX(-100%);
    }
    .sidebar-wrapper.collapsed{
        transform: translateX(0);
    }
    .sidebar-wrapper.collapsed .sidebar-brand{
        width: 100%;
        padding-right: 16px;
    }
    .sidebar-wrapper.collapsed .sidebar-brand .brand-name{
        display: block;
        margin: 0 auto;
    }
    .sidebar-wrapper.collapsed .sidebar-brand .brand-logo{
        margin: 0 auto;
    }
    .sidebar-wrapper.collapsed .sidebar{
        width: 100%;
    }
    .sidebar-wrapper.collapsed .sidebar .sidebar-item li .sidebar-link{
        gap: 12px;
        justify-content: start;
    }
    .sidebar-wrapper.collapsed .sidebar .sidebar-item li .sidebar-link:hover i{
        margin-left: 0;
    }
    .sidebar-wrapper.collapsed .sidebar .sidebar-item li .sidebar-link .arrow, .sidebar-wrapper.collapsed .sidebar .sidebar-item li .sidebar-link span{
        display: block;
    }
    .navbar,
    .sidebar-wrapper.collapsed ~ .navbar{
        margin-left: 50px;
        width: calc(100% - 100px);
    }
    .main-wrapper{
        padding-top: calc(67px + 24px);
        padding-left: 50px;
    }
    .sidebar-wrapper.collapsed ~ .main-wrapper{
        padding-left: 50px;
    }
    .footer,
    .sidebar-wrapper.collapsed ~ .footer{
        padding: 12px;
    }
}

@media (max-width:767px){
    .card-1 .card-body .row [class^="col-"]:not(:last-child){
        border-right: none;
    }
}

@media (max-width:575px){
    .navbar{
        margin-right: 20px;
    }
    .navbar,
    .sidebar-wrapper.collapsed ~ .navbar{
        margin-left: 20px;
        width: calc(100% - 40px);
    }
    .main-wrapper{
        padding-top: calc(67px + 24px);
        padding-left: 20px;
        padding-right: 20px;
    }
    .sidebar-wrapper.collapsed ~ .main-wrapper{
        padding-left: 20px;
    }
}